<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Consultor_model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		$this->load->database();
	}

	public function login(){
		$correo = $this->input->post('email');
		$password = $this->input->post('password');

		$this->db->select('*');
		$this->db->from('lista_abogados');
		$this->db->where('correo', $correo);
		$this->db->where('password', md5($password));
		$password = null;

		$query = $this->db->get();
		//$count = $this->db->count_all_results();
		$count = $query->num_rows();

		//$data = array('query' => $query , 'rowcount' => $count, 'email' => $correo, 'password'=> $password);
		$data = array('query' => $query , 'rowcount' => $count);

		return $data;
	}

	public function nuevo_abogado($persona, $abogado)
	{
		if (isset($abogado['idabogado'])) {
			unset($abogado['idabogado']);
		}

		if (isset($persona['idpersona'])) {
			unset($persona['idpersona']);
		}

		if(is_null($persona['password'])){
			unset($persona['password']);
		} else {
			$persona['password'] = md5($persona['password']);
		}

		$this->db->trans_begin();

		if($this->db->insert('personas', $persona, TRUE)){
			$persona = $this->db->insert_id();

			$abogado['persona'] = $persona;
			if($this->db->insert('abogados', $abogado)){
				$this->db->trans_commit();
				return true;
			}
		}

		$this->db->trans_rollback();
		return false;
	}

	public function editar_abogado($persona, $abogado)
	{
		$idpersona = $persona['idpersona'];
		$idabogado = $abogado['idabogado'];

		unset($persona['idpersona']);
		unset($abogado['abogado']);

		if(is_null($persona['password'])){
			unset($persona['password']);
		} else {
			$persona['password'] = md5($persona['password']);
		}

		$this->db->trans_begin();

		$this->db->where('idpersona', $idpersona);
		if($this->db->update('personas', $persona)){
			$this->db->where('idabogado', $idabogado);
			if($this->db->update('abogados', $abogado)){
				$this->db->trans_commit();
				return true;
			}
		}

		$this->db->trans_rollback();
		return false;
	}

	public function abogado_info($idabogado='')
	{
		$this->db->select('idpersona, idabogado, nombres, apellidop, apellidom, nombre_completo, correo, cedula');
		$this->db->from('lista_abogados');
		$this->db->where('idabogado', $idabogado);

		$query = $this->db->get();

		return $query->result();
	}

	public function abogado($idabogado='')
	{
		$this->db->select('*');
		$this->db->from('lista_abogados');
		$this->db->where('idabogado', $idabogado);

		$query = $this->db->get();

		return $query->result();
	}

	public function lista_abogados($orderby = 'nombre-asc', $limit, $offset)
	{
			$this->db->select('*');
			$this->db->from('lista_abogados');
			$this->db->limit($limit, $offset);
			switch ($orderby) {
				case 'nombre-asc':
					$this->db->order_by('nombre_completo', 'asc');
					break;
				case 'nombre-desc':
					$this->db->order_by('nombre_completo', 'desc');
					break;
				case 'fecha-asc':
					$this->db->order_by('idabogado', 'asc');
					break;
				case 'fecha-desc':
					$this->db->order_by('idabogado', 'desc');
					break;
			}

			return $this->db->get()->result();
	}
	
	public function count_usuarios(){
		$query=$this->db->select('idacceso_historial')->from('acceso_historial')->get();
		//$total=sizeof($query);
		return $query->result();
	}
	public function bitacora_carga_datos($offset, $limit){
		$this->db->select('*');
		$this->db->from('lista_textos');
		//$query=$this->db->select('t.idabogado,t.ultimaedicion,a.persona,j.entidadfederativa,cod.nombre,p.nombres,p.apellidop,p.apellidom')->from('textos as t')->join('abogados as a','t.idabogado=a.idabogado')->join('personas as p','p.idpersona=a.persona')->join('codigos as cod','cod.idcodigo=t.idcodigo')->join('jurisdicciones as j','cod.idjurisdiccion=j.idjurisdiccion')->get();
		$this->db->limit($limit, $offset);
		
		return $this->db->get()->result_array();
	}
	public function bitacora_acceso($limit,$offset){
		$this->db->select('p.nombres,p.apellidop,p.apellidom,ah.fecha')->from('personas as p')->join('acceso_historial as ah','p.idpersona=ah.persona')->limit($limit,$offset);
		return $this->db->get()->result_array();
	}
	public function bitacora_cambios($limit,$offset){
		$this->db->select('p.nombres,p.apellidop,p.apellidom,mh.ultima_modificacion,t.titulo,t.contenido,t.ultimaedicion,t.fecha_carga')->from('abogados as a')->join('modificaciones_historial as mh','mh.idabogado=a.idabogado')->join('personas as p','a.persona=p.idpersona')->join('clientes as c','mh.idcliente=c.idcliente')->join('personas','c.persona=p.idpersona')->join('textos as t','t.idtexto=mh.idtexto')->limit($limit,$offset);
		return $this->db->get()->result_array();
	}

}

/* End of file usuarios.php */
/* Location: ./application/models/usuarios.php */